import type { RegistryScriptInput } from '#nuxt-scripts/types';
interface GoogleTagManagerDataLayerApi {
    name: 'dataLayer';
    set: (opt: {
        [key: string]: string;
    }) => void;
    get: (key: string) => void;
    reset: () => void;
}
interface GoogleTagManagerDataLayerStatus {
    dataLayer: {
        gtmDom: boolean;
        gtmLoad: boolean;
        subscribers: number;
    };
}
type GoogleTagManagerInstance = GoogleTagManagerDataLayerStatus & {
    [key: string]: {
        callback: () => void;
        dataLayer: GoogleTagManagerDataLayerApi;
    };
};
interface GoogleTagManagerApi {
    google_tag_manager: GoogleTagManagerInstance;
}
declare global {
    interface Window extends GoogleTagManagerApi {
    }
}
export declare const GoogleTagManagerOptions: import("valibot").ObjectSchema<{
    readonly id: import("valibot").StringSchema<undefined>;
    readonly l: import("valibot").OptionalSchema<import("valibot").StringSchema<undefined>, undefined>;
}, undefined>;
export type GoogleTagManagerInput = RegistryScriptInput<typeof GoogleTagManagerOptions>;
export declare function useScriptGoogleTagManager<T extends GoogleTagManagerApi>(_options?: GoogleTagManagerInput): import("#nuxt-scripts/types").UseScriptContext<T>;
export {};
