import type { ObjectSchema } from 'valibot';
import type { UseScriptInput } from '@unhead/vue';
import type { EmptyOptionsSchema, InferIfSchema, NuxtUseScriptOptions, RegistryScriptInput, ScriptRegistry } from '#nuxt-scripts/types';
export type MaybePromise<T> = Promise<T> | T;
type OptionsFn<O> = (options: InferIfSchema<O>) => ({
    scriptInput?: UseScriptInput;
    scriptOptions?: NuxtUseScriptOptions;
    schema?: O extends ObjectSchema<any, any> ? O : undefined;
    clientInit?: () => void;
});
export declare function scriptRuntimeConfig<T extends keyof ScriptRegistry>(key: T): ScriptRegistry[T];
export declare function useRegistryScript<T extends Record<string | symbol, any>, O = EmptyOptionsSchema, U = {}>(registryKey: keyof ScriptRegistry | string, optionsFn: OptionsFn<O>, _userOptions?: RegistryScriptInput<O>): import("#nuxt-scripts/types").UseScriptContext<T>;
export declare function pick(obj: Record<string, any>, keys: string[]): Record<string, any>;
export {};
